Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Development (http://www.linux-archive.org/debian-development/)
-   -   Bug#689572: nmu: packages linked against libhdf5-7 << 1.8.8-7.1 (http://www.linux-archive.org/debian-development/709512-bug-689572-nmu-packages-linked-against-libhdf5-7-1-8-8-7-1-a.html)

Ivan Shmakov 10-04-2012 07:01 AM

Bug#689572: nmu: packages linked against libhdf5-7 << 1.8.8-7.1
 
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: binnmu
X-Debbugs-Cc: debian-devel@lists.debian.org, debian-science@lists.debian.org

There're several packages currently in Debian testing having a
versioned dependency on the semi-virtual libhdf5-7 package
(apparently as the result of being built prior to Source: hdf5
1.8.8-7.1 propagating to testing on 2012-02-23.)

Consequently, these packages cannot be installed along with any
of the other libraries providing libhdf5-7 (check, e. g., [1].)
I'm therefore suggesting re-building these packages against the
now-current libhdf5-7, with binNMU's as specified below.

TIA.

nmu libcgns_3.1.3.4-1 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'
nmu nexus_4.2.1-svn1614-1 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'
nmu r-cran-hdf5_1.6.10-1 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'
nmu tessa_0.3.1-6 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'
nmu udav_0.7.1.2-3 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'

The hdf-eos5_5.1.14+dfsg.1-1 currently in Debian unstable fixes
the issue (as well as a few others), but unless it's unblocked
(and enters Debian testing), it has to be re-built just as well:

nmu hdf-eos5_5.1.13.dfsg.1-3 . ALL . -m 'Rebuilt against libhdf5-7 >= 1.8.8-7.1'

[1] http://packages.debian.org/wheezy/libhdf5-7

JFTR, the respective Source: hdf5 Debian changelog [2] entry is:

--cut: http://packages.debian.org/changelogs/pool/main/h/hdf5/hdf5_1.8.8-9/changelog --
hdf5 (1.8.8-7.1) unstable; urgency=low

* Non-maintainer upload.
* Stop building the c++ libraries, nothing uses them. And don't version the
libhdf5-7 symbols file, so the dependency can also be satisfied by the mpi
packages' Provides.
* Use DEB_HOST_ARCH instead of DEB_BUILD_ARCH in debian/rules.
* Don't require root for debian/rules clean.

-- Julien Cristau <jcristau@debian.org> Sat, 18 Feb 2012 12:25:35 +0000
--cut: http://packages.debian.org/changelogs/pool/main/h/hdf5/hdf5_1.8.8-9/changelog --

The PTS entries for the packages affected are as follows.

http://packages.qa.debian.org/h/hdf-eos5.html
• [2012-02-24] hdf-eos5 5.1.13.dfsg.1-3 MIGRATED to testing
(Britney)

http://packages.qa.debian.org/libc/libcgns.html
• [2012-01-24] Accepted 3.1.3.4-1 in unstable (low) (Sylvestre
Ledru)

http://packages.qa.debian.org/n/nexus.html
• [2011-07-31] Accepted 4.2.1-svn1614-1 in unstable (low) (Tobias
Stefan Richter)

(Although nexus was re-built once as 4.2.1-svn1614-1+b1, it was
on 2012-01-26, thus before hdf5_1.8.8-7.1, and still bearing a
possibly unwarranted versioned dependency on libhdf5-7.)

http://packages.qa.debian.org/r/r-cran-hdf5.html
• [2012-01-18] Accepted 1.6.10-1 in unstable (low) (Dirk
Eddelbuettel)

http://packages.qa.debian.org/t/tessa.html
• [2012-02-20] Accepted 0.3.1-6 in unstable (low) (Josselin Mouette)

http://packages.qa.debian.org/u/udav.html
• [2012-01-25] Accepted 0.7.1.2-3 in unstable (low) (Salvatore
Bonaccorso)

--
FSF associate member #7257


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 86txuan2ki.fsf_-_@gray.siamics.net">http://lists.debian.org/86txuan2ki.fsf_-_@gray.siamics.net


All times are GMT. The time now is 04:52 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.